summaryrefslogtreecommitdiff
path: root/include/lib.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-19 19:24:43 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-19 19:24:43 +0100
commitd9c64b267540a7c0a62f219c1c27c790234fd11c (patch)
tree5274d17a5a3b7108fb5b91b87d419ed1bbfc88f7 /include/lib.sh
parentb25a4876434d371dc4278d71365574158c77d47d (diff)
xbmk: stricter handling of files on while loops
i overlooked these! Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include/lib.sh')
-rw-r--r--include/lib.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/include/lib.sh b/include/lib.sh
index 6c831795..025db88a 100644
--- a/include/lib.sh
+++ b/include/lib.sh
@@ -106,9 +106,9 @@ fx_()
dx_()
{
- [ -f "$2" ] && while read -r fx; do
+ [ ! -f "$2" ] || while read -r fx; do
$1 "$fx" || return 1
- done < "$2"; :
+ done < "$2" || err "dx_ $*: cannot read '$2'"; :
}
x_()